%?mingw_package_header

Summary:        Runtime libraries for GNU Libtool Dynamic Module Loader
Name:           mingw-libltdl
Version:        2.4.2
Release:        1%{?dist}
Group:          System Environment/Libraries
License:        LGPLv2+
Source:         http://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
Requires(post): /sbin/ldconfig
Requires(postun):  /sbin/ldconfig


%description
The libtool-ltdl package contains the GNU Libtool Dynamic Module Loader, a
library that provides a consistent, portable interface which simplifies the
process of using dynamic modules.

These runtime libraries are needed by programs that link directly to the
system-installed ltdl libraries; they are not needed by software built using
the rest of the GNU Autotools (including GNU Autoconf and GNU Automake).

# Win32
%package -n mingw32-libltdl
Summary:        Runtime libraries for GNU Libtool Dynamic Module Loader
Requires:       pkgconfig


%description -n mingw32-libltdl
The libtool-ltdl package contains the GNU Libtool Dynamic Module Loader, a
library that provides a consistent, portable interface which simplifies the
process of using dynamic modules.

These runtime libraries are needed by programs that link directly to the
system-installed ltdl libraries; they are not needed by software built using
the rest of the GNU Autotools (including GNU Autoconf and GNU Automake).


%?mingw32_debug_package


%prep
%setup -q -n libtool-%{version}


%build
%mingw32_configure
%mingw32_make %{?_smp_mflags}

%install
%mingw32_make DESTDIR=$RPM_BUILD_ROOT install

# zap docs, redundant with native package
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/libtool
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/libtoolize
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-libltdl
%defattr(-,root,root)
%doc libltdl/COPYING.LIB
%{mingw32_bindir}/libltdl-7.dll
%{mingw32_libdir}/libltdl.*
%defattr(-,root,root)
%doc libltdl/README
%{mingw32_includedir}/ltdl.h
%{mingw32_includedir}/libltdl


%changelog
* Fri Dec  9 2016 Fred Gleason<fredg@paravelsystems.com> - 2.4.2-1
- Initial package.

